## ----setup, include = FALSE---------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----eval = FALSE-------------------------------------------------------------
#  install.packages("BiocManager")
#  BiocManager::install("AnnotationHub")

## -----------------------------------------------------------------------------
library('AnnotationHub')

# create an AnnotationHub connection
ah <- AnnotationHub()

# search for all Geneplast resources
meta <- query(ah, "geneplast")

length(meta)
head(meta)

# types of Geneplast data available
table(meta$rdataclass)

# distribution of resources by specific databases
table(meta$dataprovider)

## -----------------------------------------------------------------------------
sessionInfo()

